# Node docker image on which this would be run
image: node:8.10.0

cache:
  paths:
    - node_modules/

stages:
  - deploy_production

# Deploy to staging
Production:
  image: ruby:latest
  only:
    - master@jpw-unesc/jpw2020-2/exercicio-10
  stage: deploy_production
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=$HEROKU_API_KEY